A failure that escapes my comprehension

Eric Hodel drbrain at segment7.net
Tue Jan 17 17:02:53 EST 2012


On Jan 11, 2012, at 4:55 PM, Luis Lavena wrote:

> In master, I've the following failure:
> 
>  12) Failure:
> test_check_executable_overwrite_default_bin_dir(TestGemInstaller)
> [C:/Users/Luis/Projects/oss/rubygems/rubygems/test/rubygems/test_gem_installer.rb:149]:
> --- expected
> +++ actual
> @@ -1 +1 @@
> -"\"executable\" from a conflicts with
> C:/Users/Luis/Projects/oss/rubygems/rubygems/tmp/test/test_rubygems_3892/tmp/test/test_rubygems_3892/gemhome/bin/executable"
> +"\"executable\" from a conflicts with installed executable from conflict"
> 
> The error message comes from Gem::Installer#check_executable_overwrite
> 
> What I don't understand is why is triggering a ruby_executable
> (conflict = "installed executable…")

I think it is because the windows executables have different lines in them.

Look line 142 in rubygems/installer.rb, it is explicitly looking for /^#!/, not what a windows wrapper uses.

> PS: some single quotes will make more easy to spot what is the message
> and what represents an executable or a gem. Gem named "a" confuses in
> the generated language for non-english native speakers (at least it
> does for me)


If you have time to tackle the above, feel free to add them, otherwise I can fix it.



More information about the RubyGems-Developers mailing list